"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBEAM_CHAINS_CONFIGS = exports.MOONBEAM_CHAINS = void 0;
const constants_1 = require("../../constants");
exports.MOONBEAM_CHAINS = [
    constants_1.ChainKey.Acala,
    constants_1.ChainKey.Interlay,
    constants_1.ChainKey.Parallel,
    constants_1.ChainKey.Phala,
    constants_1.ChainKey.Polkadot,
];
exports.MOONBEAM_CHAINS_CONFIGS = {
    [constants_1.ChainKey.Acala]: {
        key: constants_1.ChainKey.Acala,
        name: 'Acala',
        ws: 'wss://acala-polkadot.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2000,
        moonAssetId: 0,
    },
    [constants_1.ChainKey.Interlay]: {
        key: constants_1.ChainKey.Interlay,
        name: 'Interlay',
        ws: 'wss://interlay.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2032,
    },
    [constants_1.ChainKey.Parallel]: {
        key: constants_1.ChainKey.Parallel,
        name: 'Parallel',
        ws: 'wss://rpc.parallel.fi',
        weight: 1000000000,
        parachainId: 2012,
        moonAssetId: 114,
    },
    [constants_1.ChainKey.Phala]: {
        key: constants_1.ChainKey.Phala,
        name: 'Phala',
        ws: 'wss://api.phala.network/ws',
        weight: 1000000000,
        parachainId: 2035,
        moonAssetId: 1,
    },
    [constants_1.ChainKey.Polkadot]: {
        key: constants_1.ChainKey.Polkadot,
        name: 'Polkadot',
        ws: 'wss://rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 0,
    },
};
//# sourceMappingURL=moonbeam.chains.js.map