"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBASE_ASSETS_CONFIGS = exports.MOONBASE_ASSETS = void 0;
const constants_1 = require("../../constants");
exports.MOONBASE_ASSETS = [
    constants_1.AssetSymbol.ASTR,
    constants_1.AssetSymbol.BSX,
    constants_1.AssetSymbol.CLV,
    constants_1.AssetSymbol.CRU,
    constants_1.AssetSymbol.DEV,
    constants_1.AssetSymbol.KBTC,
    constants_1.AssetSymbol.KINT,
    constants_1.AssetSymbol.LIT,
    constants_1.AssetSymbol.PARING,
    constants_1.AssetSymbol.TEER,
    constants_1.AssetSymbol.TT1,
    constants_1.AssetSymbol.UNIT,
];
exports.MOONBASE_ASSETS_CONFIGS = {
    [constants_1.AssetSymbol.ASTR]: {
        id: '16797826370226091782818345603793389938',
        erc20Id: '0xffffffff0ca324c842330521525e7de111f38972',
        originSymbol: constants_1.AssetSymbol.ASTR,
    },
    [constants_1.AssetSymbol.BSX]: {
        id: '102433417954722588084020852587557555194',
        erc20Id: '0xffffffff4d0ff56d0097bbd14920eac488540bfa',
        originSymbol: constants_1.AssetSymbol.BSX,
        originAssetId: 0,
    },
    [constants_1.AssetSymbol.CLV]: {
        id: '281434042901349570144900941495462927562',
        erc20Id: '0xffffffffd3ba399d7d9d684d94b22767a5fa1cca',
        originSymbol: constants_1.AssetSymbol.CLV,
    },
    [constants_1.AssetSymbol.CRU]: {
        id: '108457044225666871745333730479173774551',
        erc20Id: '0xffffffff519811215e05efa24830eebe9c43acd7',
        originSymbol: constants_1.AssetSymbol.CRU,
    },
    [constants_1.AssetSymbol.DEV]: {
        id: '',
        erc20Id: '0x0000000000000000000000000000000000000802',
        originSymbol: constants_1.AssetSymbol.DEV,
        isNative: true,
    },
    [constants_1.AssetSymbol.KBTC]: {
        id: '122531866982275221270783173426160033062',
        erc20Id: '0xffffffff5c2ec77818d0863088929c1106635d26',
        originSymbol: constants_1.AssetSymbol.KBTC,
    },
    [constants_1.AssetSymbol.KINT]: {
        id: '52837329483626033197882584414163773570',
        erc20Id: '0xffffffff27c019790dfbee7cb70f5996671b2882',
        originSymbol: constants_1.AssetSymbol.KINT,
    },
    [constants_1.AssetSymbol.LIT]: {
        id: '65216491554813189869575508812319036608',
        erc20Id: '0xffffffff31103d490325bb0a8e40ef62e2f614c0',
        originSymbol: constants_1.AssetSymbol.LIT,
    },
    [constants_1.AssetSymbol.PARING]: {
        id: '173481220575862801646329923366065693029',
        erc20Id: '0xffffffff8283448b3cb519ca4732f2dddc6a6165',
        originSymbol: constants_1.AssetSymbol.PARING,
    },
    [constants_1.AssetSymbol.TEER]: {
        id: '105075627293246237499203909093923548958',
        erc20Id: '0xffffffff4f0cd46769550e5938f6bee2f5d4ef1e',
        originSymbol: constants_1.AssetSymbol.TEER,
    },
    [constants_1.AssetSymbol.UNIT]: {
        id: '42259045809535163221576417993425387648',
        erc20Id: '0xffffffff1fcacbd218edc0eba20fc2308c778080',
        originSymbol: constants_1.AssetSymbol.UNIT,
    },
    [constants_1.AssetSymbol.TT1]: {
        id: '156305701417244550631956600137082963628',
        erc20Id: '0xffffffff75976211c786fe4d73d2477e222786ac',
        originSymbol: constants_1.AssetSymbol.TT1,
        originAssetId: 2,
    },
};
//# sourceMappingURL=moonbase.assets.js.map