import { ChainKey } from '../../constants';
import { Chain, MoonChain } from '../../interfaces';
import { PolkadotXcmExtrinsicSuccessEvent } from './polkadotXcm.constants';
export declare function polkadotXcm<ChainKeys extends ChainKey>(chain: MoonChain): {
    limitedReserveTransferAssets: () => {
        successEvent: (event: PolkadotXcmExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                V0: () => import("./polkadotXcm.interfaces").PolkadotXcmPallet;
                V1: () => {
                    here: () => import("./polkadotXcm.interfaces").PolkadotXcmPallet;
                    X1: () => import("./polkadotXcm.interfaces").PolkadotXcmPallet;
                    X2: (palletInstance: number, assetId: number) => import("./polkadotXcm.interfaces").PolkadotXcmPallet;
                };
            };
        };
    };
    limitedReserveWithdrawAssets: () => {
        successEvent: (event: PolkadotXcmExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                V1: () => {
                    X2: (palletInstance: number) => import("./polkadotXcm.interfaces").PolkadotXcmPallet;
                };
            };
        };
    };
};
