import { ChainKey } from '../../constants';
import { Chain, MoonChain } from '../../interfaces';
import { XTransferExtrinsicSuccessEvent } from './xTransfer.constants';
import { XTransferPallet } from './xTransfer.interfaces';
export declare function xTransfer<ChainKeys extends ChainKey>(chain: MoonChain): {
    transfer: () => {
        successEvent: (event: XTransferExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                here: () => XTransferPallet;
                X2: (palletInstance: number) => XTransferPallet;
            };
        };
    };
};
