"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainKey = exports.MOON_CHAINS = exports.MoonChainKey = void 0;
var MoonChainKey;
(function (MoonChainKey) {
    MoonChainKey["MoonbaseAlpha"] = "MoonbaseAlpha";
    MoonChainKey["Moonbeam"] = "Moonbeam";
    MoonChainKey["Moonriver"] = "Moonriver";
})(MoonChainKey = exports.MoonChainKey || (exports.MoonChainKey = {}));
exports.MOON_CHAINS = {
    [MoonChainKey.MoonbaseAlpha]: {
        key: MoonChainKey.MoonbaseAlpha,
        name: 'Moonbase Alpha',
        ws: 'wss://wss.api.moonbase.moonbeam.network',
        parachainId: 1000,
        decimals: 18,
        unitsPerSecond: 50000000000000000n,
    },
    [MoonChainKey.Moonbeam]: {
        key: MoonChainKey.Moonbeam,
        name: 'Moonbeam',
        ws: 'wss://wss.api.moonbeam.network',
        parachainId: 2004,
        decimals: 18,
        unitsPerSecond: 10000000000000000000n,
    },
    [MoonChainKey.Moonriver]: {
        key: MoonChainKey.Moonriver,
        name: 'Moonriver',
        ws: 'wss://wss.api.moonriver.moonbeam.network',
        parachainId: 2023,
        decimals: 18,
        unitsPerSecond: 100000000000000000n,
    },
};
var ChainKey;
(function (ChainKey) {
    ChainKey["Acala"] = "Acala";
    ChainKey["AlphanetRelay"] = "AlphanetRelay";
    ChainKey["AstarAlphanet"] = "AstarAlphanet";
    ChainKey["BasiliskAlphanet"] = "BasiliskAlphanet";
    ChainKey["Bifrost"] = "Bifrost";
    ChainKey["Calamari"] = "Calamari";
    ChainKey["CloverAlphanet"] = "CloverAlphanet";
    ChainKey["CrustShadow"] = "CrustShadow";
    ChainKey["CrustShadowAlphanet"] = "CrustShadowAlphanet";
    ChainKey["Darwinia"] = "Darwinia";
    ChainKey["DarwiniaAlphanet"] = "DarwiniaAlphanet";
    ChainKey["Integritee"] = "Integritee";
    ChainKey["IntegriteeAlphanet"] = "IntegriteeAlphanet";
    ChainKey["InterBTCAlphanet"] = "InterBTCAlphanet";
    ChainKey["Interlay"] = "Interlay";
    ChainKey["Karura"] = "Karura";
    ChainKey["Khala"] = "Khala";
    ChainKey["Kintsugi"] = "Kintsugi";
    ChainKey["Kusama"] = "Kusama";
    ChainKey["LitentryAlphanet"] = "LitentryAlphanet";
    ChainKey["Litmus"] = "Litmus";
    ChainKey["Parallel"] = "Parallel";
    ChainKey["ParallelHeiko"] = "ParallelHeiko";
    ChainKey["Phala"] = "Phala";
    ChainKey["Polkadot"] = "Polkadot";
    ChainKey["Shiden"] = "Shiden";
    ChainKey["Statemine"] = "Statemine";
    ChainKey["StatemineAlphanet"] = "StatemineAlphanet";
})(ChainKey = exports.ChainKey || (exports.ChainKey = {}));
//# sourceMappingURL=chains.js.map