import '@moonbeam-network/api-augment';
import { AssetSymbol } from '../constants';
import { AssetsBalanceConfig, MinBalanceConfig, SystemBalanceConfig, TokensBalanceConfig } from './balance.interfaces';
export declare function createBalanceBuilder<Symbols extends AssetSymbol = AssetSymbol>(): {
    assets: typeof assets;
    min: typeof min;
    system: typeof system;
    tokens: (asset: number | bigint | Symbols | 'MOVR' | 'KUSD' | 'AUSD') => TokensBalanceConfig<Symbols>;
};
declare function assets(asset: number | bigint): AssetsBalanceConfig;
declare function min(asset: number): MinBalanceConfig;
declare function system(): SystemBalanceConfig;
export {};
