import { AssetSymbol, ChainKey } from '../constants';
import { ExtrinsicConfig, XTokensTransferMultiCurrenciesExtrinsic } from '../extrinsic';
import { Asset, Chain } from '../interfaces';
export declare function getOriginAssetId<Symbols extends AssetSymbol = AssetSymbol>(asset: Asset<Symbols>): number;
export declare function getMoonAssetId<ChainKeys extends ChainKey>(chain: Chain<ChainKeys>): number | bigint;
export declare function getPalletInstance<ChainKeys extends ChainKey>(chain: Chain<ChainKeys>): number;
export declare function isMultiCurrency<Symbols extends AssetSymbol = AssetSymbol>(extrinsic: ExtrinsicConfig<Symbols>): extrinsic is XTokensTransferMultiCurrenciesExtrinsic<Symbols>;
